#!/bin/bash



top="$(pwd)"

libdir="$top/stage/libraries/x86_64-linux/"
mkdir -p "$libdir"/lib_{debug,release}_client
export CFLAGS="-m64 -mmmx -msse -msse2 -mfpmath=sse -ffast-math -fPIC"
export CXXFLAGS=$CFLAGS
export LFLAGS=-m64
make -C src clean
make -C src debug
cp "lib/libGLOD.so" "$libdir/lib_debug_client/libglod.so"
make -C src clean
make -C src release
cp "lib/libGLOD.so" "$libdir/lib_release_client/libglod.so"

mkdir -p "stage/include/glod"
cp "include/glod.h" "stage/include/glod/glod.h"
mkdir -p stage/LICENSES
cp LICENSE stage/LICENSES/GLOD.txt
